<?

$f_nadpis_clanku = $_POST['f_nadpis_clanku'];
$f_popis_clanku = $_POST['f_popis_clanku'];
$f_obsah_clanku = $_POST['f_obsah_clanku'];
$rub = $_POST['rub'];
$cislo = $_SESSION["cislo"];

/*if(ereg("^[-0-9a-zA-Z. _ìÌ¹©èÈøØ¾®ýÝáÁíÍéÉùú]{1,60}$",$f_nadpis_clanku)){*/
if($f_nadpis_clanku == "" || $f_nadpis_clanku == " " ){
echo "<div id=\"info\"><div id=\"bad\">Nebyl zadán nadpis!<meta http-equiv='refresh' content='1;URL=index.php?id=clanky'></div></div>";
}
else{
$obsah ="
<?
\$odkaz = '<a href=\"index.php?id=clanky&clanek=cla$cislo\">$f_nadpis_clanku</a>';
\$nadpis = \"$f_nadpis_clanku\";
\$date = date('d. m. Y');
\$popis_clanku = \"$f_popis_clanku\";
\$obsah_clanku = \"$f_obsah_clanku\";
\$rub = \"$rub\";
?>
";
?>
<?
$file = FOpen ("../publikace/clanky/cla$cislo.php", "w");
FWrite ($file, "$obsah"); 
FClose ($file);

if(File_Exists("../publikace/clanky/cla$cislo.php")){
echo "<div id=\"info\"><div id=\"good\">Èlánek úspì¹nì ulo¾en a publikován <meta http-equiv='refresh' content='1;URL=index.php?id=clanky'></div></div>";
}
}
/*}
else{
echo "<div id=\"info\"><div id=\"bad\">Nadpis èlánku obsahuje nepovolené znaky<meta http-equiv='refresh' content='1;URL=index.php?id=clanky'></div></div>";
}*/
 unset($_SESSION['cislo']); 
?>